package it.integry.integrywmsnative.core.model.dto;

import java.util.Date;

import it.integry.integrywmsnative.core.model.secondary.StatoPartitaMag;

public class StatoArticoloDTO {
    private String codMart;

    private String partitaMag;

    private Date dataScad;

    private Integer ggScadPartita;

    private Integer ggMax;

    private Integer ggScadEffettivi;

    private Integer ggUtili;

    private StatoPartitaMag statoArt;

    public String getCodMart() {
        return codMart;
    }

    public StatoArticoloDTO setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public StatoArticoloDTO setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
        return this;
    }

    public Date getDataScad() {
        return dataScad;
    }

    public StatoArticoloDTO setDataScad(Date dataScad) {
        this.dataScad = dataScad;
        return this;
    }

    public Integer getGgScadPartita() {
        return ggScadPartita;
    }

    public StatoArticoloDTO setGgScadPartita(Integer ggScadPartita) {
        this.ggScadPartita = ggScadPartita;
        return this;
    }

    public Integer getGgMax() {
        return ggMax;
    }

    public StatoArticoloDTO setGgMax(Integer ggMax) {
        this.ggMax = ggMax;
        return this;
    }

    public Integer getGgScadEffettivi() {
        return ggScadEffettivi;
    }

    public StatoArticoloDTO setGgScadEffettivi(Integer ggScadEffettivi) {
        this.ggScadEffettivi = ggScadEffettivi;
        return this;
    }

    public Integer getGgUtili() {
        return ggUtili;
    }

    public StatoArticoloDTO setGgUtili(Integer ggUtili) {
        this.ggUtili = ggUtili;
        return this;
    }

    public StatoPartitaMag getStatoArt() {
        return statoArt;
    }

    public StatoArticoloDTO setStatoArt(StatoPartitaMag statoArt) {
        this.statoArt = statoArt;
        return this;
    }
}
